export declare enum Carrier {
    CeskaPosta = "CESKA_POSTA",
    Dhl = "DHL",
    DhlCz = "DHL_CZ",
    DhlDe = "DHL_DE",
    DhlExpress = "DHL_EXPRESS",
    Dpd = "DPD",
    Geis = "GEIS",
    Gls = "GLS",
    Internal = "INTERNAL",
    Liftago = "LIFTAGO",
    MallCz = "MALL_CZ",
    MallSk = "MALL_SK",
    Packeta = "PACKETA",
    Ppl = "PPL",
    ShippyPro = "SHIPPYPRO",
    Wedo = "WEDO"
}
export declare enum ParcelStatus {
    AcceptedByInputApi = "ACCEPTED_BY_INPUT_API",
    CarrierPickedUp = "CARRIER_PICKED_UP",
    Delivered = "DELIVERED",
    NotAvailable = "NOT_AVAILABLE",
    ReadyToTakeover = "READY_TO_TAKEOVER",
    Returned = "RETURNED",
    Returning = "RETURNING",
    Canceled = "CANCELED",
    WaitingForTheCarrier = "WAITING_FOR_THE_CARRIER"
}
export declare enum HealthStatus {
    OK = "OK",
    ERROR = "ERROR"
}
export declare enum CarrierService {
    CzechPost_BalikDoRuky = "2",
    CzechPost_BalikNaPostu = "15",
    Service8 = "8",
    Service6 = "6",
    GEIS_HomeDeliveryStandard = "4",
    GEIS_HomeDeliveryPremium = "5",
    Service108 = "108",
    CzechPost_Dopis = "9",
    Service28 = "28",
    CzechPost_PressReleaseD1 = "17",
    CzechPost_PressReleaseDN = "18",
    CzechPost_Balikovna = "36",
    Service105 = "105",
    WEDO_Box = "106",
    WEDO_Package = "107",
    Service201 = "201",
    Service202 = "202",
    Service203 = "203",
    Service204 = "204"
}
export declare enum ExtraCarrierService {
    SMS = "101",
    Email = "102",
    COD = "103",
    Insurance = "104",
    AgeCheck = "105",
    CO2Neutral = "106",
    ShopDelivery = "107",
    DhlExpress_VerbalDeliveryConfirmation = "108",
    DhlExpress_DirectSignature = "109",
    GoGreen = "110",
    DhlExpress_Cites = "111",
    DhlExpress_CarnetAta = "112",
    DhlExpress_EXV = "113",
    DhlExpress_SpecialPickup = "114",
    DhlExpress_NeutralDelivery = "115",
    DhlExpress_DDP = "116",
    DhlExpress_SaturdayDelivery = "117",
    DhlExpress_ExtendedLiability = "118",
    DhlExpress_DangerousGoods = "119",
    DhlExpress_ConsumerCommodities = "120",
    DhlExpress_LimitedQuantitiesAdr = "121",
    DhlExpress_ImportedRecord = "122",
    DhlExpress_DutiesAndTaxesPaid = "123",
    DhlExpress_ConsigneeRegistrationNumber = "124"
}
export declare enum UnitOfMeasurement {
    Metric = "metric",
    Imperial = "imperial"
}
export declare enum RegistrationNumberType {
    VAT = "VAT",
    EIN = "EIN",
    GST = "GST",
    SSN = "SSN",
    EOR = "EOR",
    DUN = "DUN",
    FED = "FED",
    STA = "STA",
    CNP = "CNP",
    IE = "IE",
    INN = "INN",
    KPP = "KPP",
    OGR = "OGR",
    OKP = "OKP",
    MRN = "MRN",
    SDT = "SDT",
    FTZ = "FTZ",
    DAN = "DAN",
    TAN = "TAN",
    DTF = "DTF",
    RGP = "RGP",
    DLI = "DLI",
    NID = "NID",
    PAS = "PAS",
    MID = "MID"
}
export declare enum AttachmentType {
    Invoice = "invoice"
}
export type ISODate = string;
export type UUID = string;
export type ULID = string;
export type ISOCountry = string;
export type ISOCurrency = string;
//# sourceMappingURL=common.d.ts.map