import { IOrderCreateMessage } from '../../services/rabbitmq/messages/orderCreate.interface';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { ULID } from '../../common';
import { IOrder } from '../../order.interface';
import { IRabbitMQService, IRabbitMQServiceOptions } from './rabbitmq.interface';
import { IHealthStatusMessage, IOrderCancelMessage, IOrderUpdateMessage, IOutputErrorMessage, ITrackingMessage } from './messages';
export declare class RabbitMQService implements IRabbitMQService {
    private readonly amqpConnection;
    private readonly options?;
    constructor(amqpConnection: AmqpConnection, options?: IRabbitMQServiceOptions | undefined);
    sendCancelOrderMessage(message: IOrderCancelMessage): void;
    sendHealthStatusMessage(message: IHealthStatusMessage): void;
    sendHealthCheckMessage(): void;
    sendCreateOrderMessage(message: IOrderCreateMessage): void;
    sendSaveOrderMessage(message: IOrderCreateMessage): void;
    sendUpdateOrderMessage(message: IOrderUpdateMessage): void;
    sendTrackingMessage(message: ITrackingMessage): void;
    sendTrackingRequeueMessage(message: ITrackingMessage): void;
    sendPrintLabelMessage(message: ITrackingMessage): void;
    sendOutputOrderStatusMessage(message: ITrackingMessage): void;
    sendOutputErrorMessage(message: IOutputErrorMessage): void;
    getOrderById(orderId: ULID): Promise<IOrder>;
    private publishMesssageRpc;
    private publishMesssage;
}
//# sourceMappingURL=rabbitmq.service.d.ts.map